package de.juplo.jpa.converters;

import java.sql.Timestamp;
import java.time.Instant;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;


/**
 * Converts an {@link Instant} to a {@link Timestamp}.
 * @author Kai Moritz
 */
@Converter(autoApply = true)
public class InstantConverter implements AttributeConverter<Instant, Timestamp>
{
  @Override
  public Timestamp convertToDatabaseColumn(Instant instant)
  {
    if (instant == null)
      return null;
    return Timestamp.from(instant);
  }

  @Override
  public Instant convertToEntityAttribute(Timestamp ts)
  {
    if (ts == null)
      return null;
    return ts.toInstant();
  }
}
