package de.juplo.jpa.converters;

import java.sql.Date;
import java.time.LocalDate;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;


/**
 * Converts a {@link LocalDate} to a {@link Date}.
 * @author Kai Moritz
 */
@Converter(autoApply = true)
public class LocalDateConverter implements AttributeConverter<LocalDate, Date>
{
  @Override
  public Date convertToDatabaseColumn(LocalDate ld)
  {
    if (ld == null)
      return null;
    return Date.valueOf(ld);
  }

  @Override
  public LocalDate convertToEntityAttribute(Date date)
  {
    if (date == null)
      return null;
    return date.toLocalDate();
  }
}
