package de.juplo.jpa.converters;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;


/**
 * Converts a {@link LocalDateTime} to a {@link Timestamp}.
 * @author Kai Moritz
 */
@Converter(autoApply = true)
public class LocalDateTimeConverter implements AttributeConverter<LocalDateTime, Timestamp>
{
  @Override
  public Timestamp convertToDatabaseColumn(LocalDateTime ldt)
  {
    if (ldt == null)
      return null;
    return Timestamp.valueOf(ldt);
  }

  @Override
  public LocalDateTime convertToEntityAttribute(Timestamp ts)
  {
    if (ts == null)
      return null;
    return ts.toLocalDateTime();
  }
}
