package de.juplo.jpa.converters;

import java.sql.Time;
import java.time.LocalTime;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;


/**
 * Converts a {@link LocalTime} to a {@link Time}.
 * @author Kai Moritz
 */
@Converter(autoApply = true)
public class LocalTimeConverter implements AttributeConverter<LocalTime, Time>
{
  @Override
  public Time convertToDatabaseColumn(LocalTime lt)
  {
    if (lt == null)
      return null;
    return Time.valueOf(lt);
  }

  @Override
  public LocalTime convertToEntityAttribute(Time time)
  {
    if (time == null)
      return null;
    return time.toLocalTime();
  }
}
