package de.juplo.jpa.converters;

import java.time.ZoneId;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;


/**
 * Converts a {@link ZoneID} to its string-representation as ID.
 * @author Kai Moritz
 */
@Converter(autoApply = true)
public class ZoneIdConverter implements AttributeConverter<ZoneId,String>
{
  @Override
  public String convertToDatabaseColumn(ZoneId zone)
  {
    if (zone == null)
      return null;
    return zone.getId();
  }

  @Override
  public ZoneId convertToEntityAttribute(String string)
  {
    if (string == null)
      return null;
    return ZoneId.of(string);
  }
}
