package de.juplo.jpa.converters;

import java.time.ZoneOffset;
import javax.persistence.AttributeConverter;
import javax.persistence.Converter;


/**
 * Converts a {@link ZoneOffset} into its {@link String} representation as ID.
 * @author Kai Moritz
 */
@Converter(autoApply = true)
public class ZoneOffsetConverter implements AttributeConverter<ZoneOffset, String>
{
  @Override
  public String convertToDatabaseColumn(ZoneOffset offset)
  {
    if (offset == null)
      return null;
    return offset.getId();
  }

  @Override
  public ZoneOffset convertToEntityAttribute(String string)
  {
    if (string == null)
      return null;
    return ZoneOffset.of(string);
  }
}
