package de.juplo.yourshouter.api.persistence.jpa;

import de.juplo.yourshouter.api.model.Feature;
import de.juplo.yourshouter.api.storage.Storage;
import javax.persistence.AttributeConverter;


/**
 *
 * @author kai
 */
public class StringFeatureConverter
    implements
      AttributeConverter<Feature, String>
{
  @Override
  public String convertToDatabaseColumn(Feature feature)
  {
    if (feature == null)
      return null;
    return feature.getName();
  }

  @Override
  public Feature convertToEntityAttribute(String name)
  {
    if (name == null)
      return null;
    return new Feature(Storage.getSource(), name);
  }
}
