package de.juplo.yourshouter.api.persistence.jpa;

import de.juplo.yourshouter.api.model.GeneratorData;
import de.juplo.yourshouter.api.storage.Storage;
import de.juplo.yourshouter.api.storage.Uri;
import javax.persistence.AttributeConverter;


/**
 *
 * @author kai
 */
public class StringGeneratorDataConverter
    implements
      AttributeConverter<GeneratorData, String>
{
  @Override
  public String convertToDatabaseColumn(GeneratorData generator)
  {
    if (generator == null)
      return null;
    return Uri.get(generator).toString();
  }

  @Override
  public GeneratorData convertToEntityAttribute(String uri)
  {
    if (uri == null)
      return null;
    return (GeneratorData)Storage.getNode(Uri.parse(uri));
  }
}
