package de.juplo.yourshouter.api.persistence.jpa;

import de.juplo.yourshouter.api.model.Type;
import de.juplo.yourshouter.api.storage.Storage;
import javax.persistence.AttributeConverter;


/**
 *
 * @author kai
 */
public class StringTypeConverter
    implements
      AttributeConverter<Type, String>
{
  @Override
  public String convertToDatabaseColumn(Type feature)
  {
    if (feature == null)
      return null;
    return feature.getName();
  }

  @Override
  public Type convertToEntityAttribute(String name)
  {
    if (name == null)
      return null;
    return new Type(Storage.getSource(), name);
  }
}
